package hdm.mi.growbros.models.plant;

import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.LastModifiedDate;

import java.time.LocalDate;

@Entity
@Data
@AllArgsConstructor
@NoArgsConstructor
public class WishListEntry {

    //Todo: private User user;

    @ManyToOne
    private Plant plant;

    @LastModifiedDate
    @Temporal(TemporalType.TIME)
    private LocalDate addedOn;

    @Id
    private Long id;
}
