package hdm.mi.growbros.controllers;

import hdm.mi.growbros.models.plant.Plant;
import hdm.mi.growbros.service.PlantsService;
import hdm.mi.growbros.service.WishListService;
import jakarta.validation.Valid;
import org.springframework.web.bind.annotation.*;

import java.util.Collection;

import hdm.mi.growbros.models.plant.Plant;
import hdm.mi.growbros.service.PlantsService;
import jakarta.validation.Valid;
import org.springframework.web.bind.annotation.*;

import java.util.Collection;

@RestController
@CrossOrigin
public class WishListController {

        private final WishListService wishListService;

        public WishListController(WishListService wishListService) {
            this.wishListService = wishListService;
        }

        @GetMapping("/api/v1/wishlist")
        public Collection<Plant> getAllPlants() {
            return wishListService.getWishedPlants();
        }

}
